Bug 183853 - Update port: www/trac-OhlohWidgetsMacro Use HTTPS for Ohloh Widgets
Summary: Update port: www/trac-OhlohWidgetsMacro Use HTTPS for Ohloh Widgets
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-10 23:20 UTC by Douglas Thrift
Modified: 2014-02-09 08:10 UTC (History)
1 user (show)

See Also:


Attachments
trac-OhlohWidgetsMacro.2013-11-10T231311Z.diff (5.45 KB, patch)
2013-11-10 23:20 UTC, Douglas Thrift
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2013-11-10 23:20:00 UTC
Use HTTPS for www/trac-OhlohWidgetsMacro; add STAGE and PYDISTUTILS_AUTOPLIST support.

https://redports.org/buildarchive/20131110224501-8787/

The patch has already been accepted for the next release upstream:

https://www.schwarz.eu/opensource/projects/ohloh_widgets_macro/ticket/9
Comment 1 dfilter service freebsd_committer 2014-02-09 07:50:13 UTC
Author: rm
Date: Sun Feb  9 07:50:06 2014
New Revision: 343433
URL: http://svnweb.freebsd.org/changeset/ports/343433
QAT: https://qat.redports.org/buildarchive/r343433/

Log:
  - add upstream patch to fix runtime, using correct url scheme
  - adopt staging and use auto-generated packing list
  - bump PORTREVISION
  
  PR:		183853
  Submitted by:	Douglas William Thrift <douglas@douglasthrift.net> (maintainer)

Added:
  head/www/trac-OhlohWidgetsMacro/files/
  head/www/trac-OhlohWidgetsMacro/files/patch-ohloh_widgets__macro.py   (contents, props changed)
Deleted:
  head/www/trac-OhlohWidgetsMacro/pkg-plist
Modified:
  head/www/trac-OhlohWidgetsMacro/Makefile

Modified: head/www/trac-OhlohWidgetsMacro/Makefile
==============================================================================
--- head/www/trac-OhlohWidgetsMacro/Makefile	Sun Feb  9 06:05:30 2014	(r343432)
+++ head/www/trac-OhlohWidgetsMacro/Makefile	Sun Feb  9 07:50:06 2014	(r343433)
@@ -1,8 +1,9 @@
-# Created by: Douglas Thrift
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
 # $FreeBSD$
 
 PORTNAME=	OhlohWidgetsMacro
 PORTVERSION=	0.2
+PORTREVISION=	1
 CATEGORIES=	www devel python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	trac-
@@ -10,12 +11,13 @@ PKGNAMEPREFIX=	trac-
 MAINTAINER=	douglas@douglasthrift.net
 COMMENT=	Trac macro to embed Ohloh widgets
 
+LICENSE=	MIT
+
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}pycerberus>=0.3:${PORTSDIR}/devel/py-pycerberus \
 		tracd:${PORTSDIR}/www/trac
 
-LICENSE=	MIT
-
-USE_PYTHON=	yes
-USE_PYDISTUTILS=	easy_install
+USE_PYTHON=		yes
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 
 .include <bsd.port.mk>

Added: head/www/trac-OhlohWidgetsMacro/files/patch-ohloh_widgets__macro.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac-OhlohWidgetsMacro/files/patch-ohloh_widgets__macro.py	Sun Feb  9 07:50:06 2014	(r343433)
@@ -0,0 +1,20 @@
+--- ./ohloh_widgets/macro.py.orig	2013-06-17 12:52:47.000000000 -0700
++++ ./ohloh_widgets/macro.py	2013-06-17 12:53:17.000000000 -0700
+@@ -46,7 +46,7 @@
+        ![[OhlohWidget(project_id, widget_name)]]
+     
+     The macro gets two parameters which you can get from Ohloh's widget page
+-    for your project (!http://www.ohloh.net/p/<project name>/widgets) when you
++    for your project (!https://www.ohloh.net/p/<project name>/widgets) when you
+     look at the embeddable HTML snippet:
+     
+      * project_id -- a 6 digit number which identifies your project
+@@ -70,7 +70,7 @@
+     
+     def url(self, parameters):
+         query_string = ''
+-        url_template = 'http://www.ohloh.net/p/%(project_id)d/widgets/%(widget_name)s.js'
++        url_template = 'https://www.ohloh.net/p/%(project_id)d/widgets/%(widget_name)s.js'
+         widget_name = parameters.widget_name
+         if '?' in widget_name:
+             parameters['widget_name'], query_parameters = widget_name.split('?', 1)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2014-02-09 07:50:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2014-02-09 07:50:35 UTC
State Changed
From-To: open->closed

Committed, thank you!
Comment 4 dfilter service freebsd_committer 2014-02-09 08:08:51 UTC
Author: rm
Date: Sun Feb  9 08:08:43 2014
New Revision: 343434
URL: http://svnweb.freebsd.org/changeset/ports/343434
QAT: https://qat.redports.org/buildarchive/r343434/

Log:
  Adds ticket security policy based on keyword.
  
  WWW: https://github.com/KKBOX/trac-keyword-secret-ticket-plugin
  
  PR:		183853
  Submitted by:	Hung-Yi Chen <gaod@hychen.org>

Added:
  head/www/trac-keywordsecretticket/
  head/www/trac-keywordsecretticket/Makefile   (contents, props changed)
  head/www/trac-keywordsecretticket/distinfo   (contents, props changed)
  head/www/trac-keywordsecretticket/pkg-descr   (contents, props changed)
Modified:
  head/www/Makefile

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Sun Feb  9 07:50:06 2014	(r343433)
+++ head/www/Makefile	Sun Feb  9 08:08:43 2014	(r343434)
@@ -1991,6 +1991,7 @@
     SUBDIR += trac-hierwiki
     SUBDIR += trac-iniadmin
     SUBDIR += trac-keywords
+    SUBDIR += trac-keywordsecretticket
     SUBDIR += trac-ldap
     SUBDIR += trac-macropost
     SUBDIR += trac-mastertickets

Added: head/www/trac-keywordsecretticket/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac-keywordsecretticket/Makefile	Sun Feb  9 08:08:43 2014	(r343434)
@@ -0,0 +1,26 @@
+# Created by: Hung-Yi Chen <gaod@hychen.org>
+# $FreeBSD$
+
+PORTNAME=	keywordsecretticket
+PORTVERSION=	1.0.1.${GITDATE}
+CATEGORIES=	www devel python
+MASTER_SITES=	https://github.com/KKBOX/trac-keyword-secret-ticket-plugin/tarball/${GITVERSION}/
+PKGNAMEPREFIX=	trac-
+DISTNAME=	KKBOX-trac-keywordsecretticket-plugin-98edea2
+
+MAINTAINER=	gaod@hychen.org
+COMMENT=	Ticket security policy based on keyword for Trac
+
+LICENSE=	BSD3CLAUSE
+
+GITVERSION=	98edea2
+GITDATE=	20130401
+RUN_DEPENDS+=	tracd:${PORTSDIR}/www/trac
+
+WRKSRC=		${WRKDIR}/KKBOX-trac-keyword-secret-ticket-plugin-${GITVERSION}
+
+USE_PYTHON=		2
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
+
+.include <bsd.port.mk>

Added: head/www/trac-keywordsecretticket/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac-keywordsecretticket/distinfo	Sun Feb  9 08:08:43 2014	(r343434)
@@ -0,0 +1,2 @@
+SHA256 (KKBOX-trac-keywordsecretticket-plugin-98edea2.tar.gz) = 9ce30963af48ebc6c19e197352d99dadd7ab502a0dac188a7ee805e3470aa587
+SIZE (KKBOX-trac-keywordsecretticket-plugin-98edea2.tar.gz) = 2722

Added: head/www/trac-keywordsecretticket/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac-keywordsecretticket/pkg-descr	Sun Feb  9 08:08:43 2014	(r343434)
@@ -0,0 +1,3 @@
+Adds ticket security policy based on keyword.
+
+WWW: https://github.com/KKBOX/trac-keyword-secret-ticket-plugin
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"